biterp

List all active countries

GET
/countries
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string

Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.

limit?integer

Page size from CursorPaginationDto.limit.

Default20
Range1 <= value <= 100
search?string

Full-text search term from CursorPaginationDto.search.

with_deleted?boolean

Include soft-deleted records from CursorPaginationDto.with_deleted.

Defaultfalse
include_payload_search?boolean

Include payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.

Defaultfalse
sort?string

Sort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).

id?number

Exact match for "id" (number)

id[neq]?number

Not equal filter for "id" (number)

id[gt]?number

Greater than filter for "id" (number)

id[gte]?number

Greater than or equal filter for "id" (number)

id[lt]?number

Less than filter for "id" (number)

id[lte]?number

Less than or equal filter for "id" (number)

iso2?string

Exact match for "iso2" (string)

iso2[neq]?string

Not equal filter for "iso2" (string)

iso2[contains]?string

Contains filter for "iso2"

iso2[not_contains]?string

Does not contain filter for "iso2"

iso3?string

Exact match for "iso3" (string)

iso3[neq]?string

Not equal filter for "iso3" (string)

iso3[contains]?string

Contains filter for "iso3"

iso3[not_contains]?string

Does not contain filter for "iso3"

numeric_code?string

Exact match for "numeric_code" (string)

numeric_code[neq]?string

Not equal filter for "numeric_code" (string)

numeric_code[contains]?string

Contains filter for "numeric_code"

numeric_code[not_contains]?string

Does not contain filter for "numeric_code"

name_en?string

Exact match for "name_en" (string)

name_en[neq]?string

Not equal filter for "name_en" (string)

name_en[contains]?string

Contains filter for "name_en"

name_en[not_contains]?string

Does not contain filter for "name_en"

name_pt?string

Exact match for "name_pt" (string)

name_pt[neq]?string

Not equal filter for "name_pt" (string)

name_pt[contains]?string

Contains filter for "name_pt"

name_pt[not_contains]?string

Does not contain filter for "name_pt"

name_es?string

Exact match for "name_es" (string)

name_es[neq]?string

Not equal filter for "name_es" (string)

name_es[contains]?string

Contains filter for "name_es"

name_es[not_contains]?string

Does not contain filter for "name_es"

native?string

Exact match for "native" (string)

native[neq]?string

Not equal filter for "native" (string)

native[contains]?string

Contains filter for "native"

native[not_contains]?string

Does not contain filter for "native"

phone_code?string

Exact match for "phone_code" (string)

phone_code[neq]?string

Not equal filter for "phone_code" (string)

phone_code[contains]?string

Contains filter for "phone_code"

phone_code[not_contains]?string

Does not contain filter for "phone_code"

capital?string

Exact match for "capital" (string)

capital[neq]?string

Not equal filter for "capital" (string)

capital[contains]?string

Contains filter for "capital"

capital[not_contains]?string

Does not contain filter for "capital"

currency?string

Exact match for "currency" (string)

currency[neq]?string

Not equal filter for "currency" (string)

currency[contains]?string

Contains filter for "currency"

currency[not_contains]?string

Does not contain filter for "currency"

currency_name?string

Exact match for "currency_name" (string)

currency_name[neq]?string

Not equal filter for "currency_name" (string)

currency_name[contains]?string

Contains filter for "currency_name"

currency_name[not_contains]?string

Does not contain filter for "currency_name"

currency_symbol?string

Exact match for "currency_symbol" (string)

currency_symbol[neq]?string

Not equal filter for "currency_symbol" (string)

currency_symbol[contains]?string

Contains filter for "currency_symbol"

currency_symbol[not_contains]?string

Does not contain filter for "currency_symbol"

tld?string

Exact match for "tld" (string)

tld[neq]?string

Not equal filter for "tld" (string)

tld[contains]?string

Contains filter for "tld"

tld[not_contains]?string

Does not contain filter for "tld"

region?string

Exact match for "region" (string)

region[neq]?string

Not equal filter for "region" (string)

region[contains]?string

Contains filter for "region"

region[not_contains]?string

Does not contain filter for "region"

subregion?string

Exact match for "subregion" (string)

subregion[neq]?string

Not equal filter for "subregion" (string)

subregion[contains]?string

Contains filter for "subregion"

subregion[not_contains]?string

Does not contain filter for "subregion"

region_id?number

Exact match for "region_id" (number)

region_id[neq]?number

Not equal filter for "region_id" (number)

region_id[gt]?number

Greater than filter for "region_id" (number)

region_id[gte]?number

Greater than or equal filter for "region_id" (number)

region_id[lt]?number

Less than filter for "region_id" (number)

region_id[lte]?number

Less than or equal filter for "region_id" (number)

subregion_id?number

Exact match for "subregion_id" (number)

subregion_id[neq]?number

Not equal filter for "subregion_id" (number)

subregion_id[gt]?number

Greater than filter for "subregion_id" (number)

subregion_id[gte]?number

Greater than or equal filter for "subregion_id" (number)

subregion_id[lt]?number

Less than filter for "subregion_id" (number)

subregion_id[lte]?number

Less than or equal filter for "subregion_id" (number)

nationality?string

Exact match for "nationality" (string)

nationality[neq]?string

Not equal filter for "nationality" (string)

nationality[contains]?string

Contains filter for "nationality"

nationality[not_contains]?string

Does not contain filter for "nationality"

latitude?number

Exact match for "latitude" (number)

latitude[neq]?number

Not equal filter for "latitude" (number)

latitude[gt]?number

Greater than filter for "latitude" (number)

latitude[gte]?number

Greater than or equal filter for "latitude" (number)

latitude[lt]?number

Less than filter for "latitude" (number)

latitude[lte]?number

Less than or equal filter for "latitude" (number)

longitude?number

Exact match for "longitude" (number)

longitude[neq]?number

Not equal filter for "longitude" (number)

longitude[gt]?number

Greater than filter for "longitude" (number)

longitude[gte]?number

Greater than or equal filter for "longitude" (number)

longitude[lt]?number

Less than filter for "longitude" (number)

longitude[lte]?number

Less than or equal filter for "longitude" (number)

emoji?string

Exact match for "emoji" (string)

emoji[neq]?string

Not equal filter for "emoji" (string)

emoji[contains]?string

Contains filter for "emoji"

emoji[not_contains]?string

Does not contain filter for "emoji"

emoji_u?string

Exact match for "emoji_u" (string)

emoji_u[neq]?string

Not equal filter for "emoji_u" (string)

emoji_u[contains]?string

Contains filter for "emoji_u"

emoji_u[not_contains]?string

Does not contain filter for "emoji_u"

is_blocked?boolean

Exact match for "is_blocked" (boolean)

is_blocked[neq]?boolean

Not equal filter for "is_blocked" (boolean)

display_order?number

Exact match for "display_order" (number)

display_order[neq]?number

Not equal filter for "display_order" (number)

display_order[gt]?number

Greater than filter for "display_order" (number)

display_order[gte]?number

Greater than or equal filter for "display_order" (number)

display_order[lt]?number

Less than filter for "display_order" (number)

display_order[lte]?number

Less than or equal filter for "display_order" (number)

created_at?string

Exact match for "created_at" (ISO 8601 datetime)

created_at[neq]?string

Not equal filter for "created_at" (ISO 8601 datetime)

created_at[gt]?string

Greater than filter for "created_at" (ISO 8601 datetime)

created_at[gte]?string

Greater than or equal filter for "created_at" (ISO 8601 datetime)

created_at[lt]?string

Less than filter for "created_at" (ISO 8601 datetime)

created_at[lte]?string

Less than or equal filter for "created_at" (ISO 8601 datetime)

updated_at?string

Exact match for "updated_at" (ISO 8601 datetime)

updated_at[neq]?string

Not equal filter for "updated_at" (ISO 8601 datetime)

updated_at[gt]?string

Greater than filter for "updated_at" (ISO 8601 datetime)

updated_at[gte]?string

Greater than or equal filter for "updated_at" (ISO 8601 datetime)

updated_at[lt]?string

Less than filter for "updated_at" (ISO 8601 datetime)

updated_at[lte]?string

Less than or equal filter for "updated_at" (ISO 8601 datetime)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/countries"
{
  "data": [
    {
      "id": 0,
      "iso2": "string",
      "iso3": "string",
      "numeric_code": "string",
      "name_en": "string",
      "name_pt": "string",
      "name_es": "string",
      "native": "string",
      "phone_code": "string",
      "capital": "string",
      "currency": "string",
      "currency_name": "string",
      "currency_symbol": "string",
      "tld": "string",
      "region": "string",
      "subregion": "string",
      "region_id": 0,
      "subregion_id": 0,
      "nationality": "string",
      "latitude": "-14.23500000",
      "longitude": "-51.92530000",
      "emoji": "string",
      "emoji_u": "string",
      "is_blocked": true,
      "display_order": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "metadata": [
        {
          "id": 0,
          "metadata_type": "string",
          "metadata_value": "string",
          "description": "string"
        }
      ]
    }
  ],
  "pagination": {
    "limit": 0,
    "has_next_page": true,
    "has_previous_page": true,
    "current_query_cursor": "string",
    "current_page_cursor": "string",
    "next_cursor": "string",
    "previous_cursor": "string"
  },
  "meta": {
    "filters": {},
    "search": "string",
    "sort": {
      "field": "string",
      "order": "asc"
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}